InstallerEvent (install4j API)
Keywords: com.install4j.api.InstallerEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api
Class InstallerEvent

    java.lang.Object
      java.util.EventObject
          com.install4j.api.InstallerEvent

All Implemented Interfaces:
  java.io.Serializable

    public class InstallerEvent

extends java.util.EventObject

This class represents an application event and is dispatched to listeners of type `InstallerEventListener`. Event listeners are registered in the `InstallerWizardContext`. All custom screens implement this interface and are automatically registered with their associated context.

Author:
  ej-technologies GmbH
See Also:
  Serialized Form

Field Summary
`static int` | `EVENT_AFTER_INSTALLATION` This event type notifies listeners that the installer has just finished the installation.
`static int` | `EVENT_BEFORE_INSTALLATION` This event type notifies listeners that the installer is just about to begin the installation.
`static int` | `EVENT_CANCELED` This event type notifies listeners that the installer has been canceled and is just about to exit.
`static int` | `EVENT_FINISHED` This event type notifies listeners that the installer has completed is just about to exit.
`static int` | `EVENT_START` This event type notifies listeners that the installer has been initialized and the wizard is just about to be shown.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InstallerEvent(InstallerWizardContext context, int type)` Constructor.

Method Summary
`int` | `getType()` Get the type of the event.
`java.lang.String` | `toString()` Return a verbose decription of this event.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVENT_START

    public static final int EVENT_START

  This event type notifies listeners that the installer has been initialized and the wizard is just about to be shown.

  See Also:
    Constant Field Values

### EVENT_BEFORE_INSTALLATION

    public static final int EVENT_BEFORE_INSTALLATION

  This event type notifies listeners that the installer is just about to begin the installation.

  See Also:
    Constant Field Values

### EVENT_AFTER_INSTALLATION

    public static final int EVENT_AFTER_INSTALLATION

  This event type notifies listeners that the installer has just finished the installation.

  See Also:
    Constant Field Values

### EVENT_FINISHED

    public static final int EVENT_FINISHED

  This event type notifies listeners that the installer has completed is just about to exit.

  See Also:
    Constant Field Values

### EVENT_CANCELED

    public static final int EVENT_CANCELED

  This event type notifies listeners that the installer has been canceled and is just about to exit.

  See Also:
    Constant Field Values

Constructor Detail

### InstallerEvent

    public InstallerEvent(InstallerWizardContext context,
                          int type)

  Constructor. Do not invoke, `InstallerEvent`s are generated by the framework.

  Parameters:
    `context` - the context
    `type` - the event type.

Method Detail

### getType

    public int getType()

  Get the type of the event. One of the `EVENT_*` constants.

  Returns:
    the type

### toString

    public java.lang.String toString()

  Return a verbose decription of this event.

  Overrides:
    `toString` in class `java.util.EventObject`
  Returns:
    the decription

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD